The Bank Account Type object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

account_type string
The Bank Account Type object
{
  "id": "bank-account-type_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "account_type": "account_type_example"
}
GET /api/accounts/bank-account-type/{id}

Retrieve a bank account type

Retrieves the details of an existing bank account type. Supply the unique bank account type ID that was returned from a previous request.

Path parameters

id string required

The identifier of the bank account type to retrieve.

Returns

Returns the bank account type object if a valid identifier was provided.

GET /api/accounts/bank-account-type/{id}
curl https://api.overplane.dev/api/accounts/bank-account-type/bank-account-type_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "bank-account-type_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "account_type": "account_type_example"
}
GET /api/accounts/bank-account-type

List all bank account types

Returns a list of bank account types. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of bank account type objects.

GET /api/accounts/bank-account-type
curl https://api.overplane.dev/api/accounts/bank-account-type \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "bank-account-type_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "account_type": "account_type_example"
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/accounts/bank-account-type

Create a bank account type

Creates a new bank account type object.

Body parameters

account_type string

Returns

Returns the newly created bank account type object if the call succeeded.

POST /api/accounts/bank-account-type
curl https://api.overplane.dev/api/accounts/bank-account-type \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json"
Response
{
  "id": "bank-account-type_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "account_type": "account_type_example"
}
PATCH /api/accounts/bank-account-type/{id}

Update a bank account type

Updates the specified bank account type by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the bank account type to update.

Body parameters

account_type string

Returns

Returns the updated bank account type object.

PATCH /api/accounts/bank-account-type/{id}
curl https://api.overplane.dev/api/accounts/bank-account-type/bank-account-type_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"account_type":"account_type_example"}'
Response
{
  "id": "bank-account-type_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "account_type": "account_type_example"
}
DELETE /api/accounts/bank-account-type/{id}

Delete a bank account type

Permanently deletes a bank account type. This cannot be undone.

Path parameters

id string required

The identifier of the bank account type to delete.

Returns

Returns a confirmation that the bank account type has been deleted.

DELETE /api/accounts/bank-account-type/{id}
curl https://api.overplane.dev/api/accounts/bank-account-type/bank-account-type_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "bank-account-type_abc123",
  "deleted": true
}